Package org.eclipse.microprofile.rest.client.tck.cditests

# Class HasSingletonScopeTest

java.lang.Object
org.jboss.arquillian.testng.Arquillian
org.eclipse.microprofile.rest.client.tck.cditests.HasSingletonScopeTest

All Implemented Interfaces:
  `org.testng.IHookable`, `org.testng.ITestNGListener`

public class HasSingletonScopeTest extends org.jboss.arquillian.testng.Arquillian
This test verifies that you can configure a bean of Singleton scope, as well as have the scope on an interface.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`HasSingletonScopeTest.MySingletonApi`

## Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

## Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

## Constructor Summary

Constructors
Constructor
Description
`HasSingletonScopeTest()`

## Method Summary

Modifier and Type
Method
Description
`static org.jboss.shrinkwrap.api.spec.WebArchive`
`createDeployment()`
`void`
`testHasSingletonScoped()`
`void`
`testHasSingletonScopedFromConfigKey()`
`void`
`testHasSingletonScopedWhenAnnotated()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HasSingletonScopeTest

public HasSingletonScopeTest()

## Method Details

### createDeployment

@Deployment public static org.jboss.shrinkwrap.api.spec.WebArchive createDeployment()

### testHasSingletonScoped

public void testHasSingletonScoped()

### testHasSingletonScopedFromConfigKey

public void testHasSingletonScopedFromConfigKey()

### testHasSingletonScopedWhenAnnotated

public void testHasSingletonScopedWhenAnnotated()